diff -pruN 18.14-1.1/debian/changelog 18.14-2/debian/changelog
--- 18.14-1.1/debian/changelog	2024-02-28 18:18:10.000000000 +0000
+++ 18.14-2/debian/changelog	2024-03-06 17:30:49.000000000 +0000
@@ -1,3 +1,10 @@
+globus-common (18.14-2) unstable; urgency=medium
+
+  * Enable bind-now hardening
+  * Update lintian overrides due to renamed tag
+
+ -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 06 Mar 2024 18:30:49 +0100
+
 globus-common (18.14-1.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -pruN 18.14-1.1/debian/compat 18.14-2/debian/compat
--- 18.14-1.1/debian/compat	2020-12-12 15:25:06.000000000 +0000
+++ 18.14-2/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-13
diff -pruN 18.14-1.1/debian/control 18.14-2/debian/control
--- 18.14-1.1/debian/control	2024-02-28 18:18:10.000000000 +0000
+++ 18.14-2/debian/control	2024-03-05 22:28:14.000000000 +0000
@@ -1,9 +1,10 @@
 Source: globus-common
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper (>= 13),
- pkg-config,
+Build-Depends:
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
+ pkgconf,
  libltdl-dev
 Build-Depends-Indep:
  doxygen
@@ -37,7 +38,6 @@ Description: Grid Community Toolkit - Co
  Common Library
 
 Package: globus-common-progs
-Section: net
 Architecture: any
 Multi-Arch: foreign
 Depends:
diff -pruN 18.14-1.1/debian/libglobus-common0t64.lintian-overrides 18.14-2/debian/libglobus-common0t64.lintian-overrides
--- 18.14-1.1/debian/libglobus-common0t64.lintian-overrides	2024-02-28 18:17:16.000000000 +0000
+++ 18.14-2/debian/libglobus-common0t64.lintian-overrides	2024-03-05 22:51:03.000000000 +0000
@@ -1,4 +1,5 @@
 # This is a loadable plugin - unversioned soname expected
-dev-pkg-without-shlib-symlink */libglobus_thread_pthread.so *
-shlib-without-versioned-soname */libglobus_thread_pthread.so *
-libglobus-common0t64: package-name-doesnt-match-sonames libglobus-common0
+lacks-unversioned-link-to-shared-library */libglobus_thread_pthread.so *
+shared-library-lacks-version */libglobus_thread_pthread.so *
+
+package-name-doesnt-match-sonames libglobus-common0 libglobus-memory-debug0 libglobus-thread-pthread
diff -pruN 18.14-1.1/debian/rules 18.14-2/debian/rules
--- 18.14-1.1/debian/rules	2022-07-05 18:56:55.000000000 +0000
+++ 18.14-2/debian/rules	2023-10-23 05:17:14.000000000 +0000
@@ -3,7 +3,8 @@
 
 name = globus-common
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 INSTALLDIR = debian/tmp
 
@@ -14,9 +15,6 @@ perl_vendorlib = $(shell eval "`perl -V:
 %:
 	dh $@
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
-
 override_dh_auto_configure:
 	GLOBUS_VERSION=6.2 \
 	SH=/bin/sh \
diff -pruN 18.14-1.1/debian/upstream/metadata 18.14-2/debian/upstream/metadata
--- 18.14-1.1/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 18.14-2/debian/upstream/metadata	2023-08-28 12:01:38.000000000 +0000
@@ -0,0 +1,4 @@
+Bug-Database: https://github.com/gridcf/gct/issues
+Bug-Submit: https://github.com/gridcf/gct/issues/new
+Repository: https://github.com/gridcf/gct.git
+Repository-Browse: https://github.com/gridcf/gct
